curl -X GET "https://api.whatabot.app/api/v1/sectors?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "sector-uuid",
"name": "Sales",
"workspaceId": "workspace-uuid",
"createdAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
Sectors
List Sectors
List all sectors in the workspace.
GET
/
v1
/
sectors
curl -X GET "https://api.whatabot.app/api/v1/sectors?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "sector-uuid",
"name": "Sales",
"workspaceId": "workspace-uuid",
"createdAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
List all sectors with pagination.
string
required
Your API key (prefixed with
wh_).integer
default:"0"
Page number (zero-based).
integer
default:"10"
Number of items per page (1-100).
string
Filter by workspace UUID.
curl -X GET "https://api.whatabot.app/api/v1/sectors?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "sector-uuid",
"name": "Sales",
"workspaceId": "workspace-uuid",
"createdAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}